org.eclipse.net4j.util.om.log

## Class OSGiLogHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.log.OSGiLogHandler

- All Implemented Interfaces:
    OMLogHandler

      public class OSGiLogHandler
      extends java.lang.Object
      implements OMLogHandler

  A `log handler` that appends log events to the OSGi `log service`.
  Since:
    3.8
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OSGiLogHandler` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OSGiLogHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.osgi.service.log.Logger` | `getLogger(org.osgi.framework.BundleContext bundleContext)`
    `void` | `logged(org.osgi.framework.BundleContext bundleContext, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)`
    `void` | `logged(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)`
    `static org.osgi.service.log.LogLevel` | `toOSGi(OMLogger.Level level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final OSGiLogHandler INSTANCE

  - ### Constructor Detail

    - #### OSGiLogHandler

          protected OSGiLogHandler()

  - ### Method Detail

    - #### logged

          public void logged(OMLogger logger,
                             OMLogger.Level level,
                             java.lang.String msg,
                             java.lang.Throwable t)

      Specified by:
        `logged` in interface `OMLogHandler`

    - #### logged

          public void logged(org.osgi.framework.BundleContext bundleContext,
                             OMLogger.Level level,
                             java.lang.String msg,
                             java.lang.Throwable t)

    - #### getLogger

          protected org.osgi.service.log.Logger getLogger(org.osgi.framework.BundleContext bundleContext)

    - #### toOSGi

          public static org.osgi.service.log.LogLevel toOSGi(OMLogger.Level level)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html